<?php

namespace Slack\Blockkit\Blocks;

use \Exception;
use Slack\Blockkit\Blocks;
use Slack\Blockkit\Blocks\Elements\Text;

final class Divider extends Blocks
{
	protected const LIMITS = [
		'block_id' => 255,			// @todo Should be unique for each message
	];

	/**
	 * @param Text|NULL $text
	 * @throws Exception
	 */
	public function __construct()
	{
		parent::__construct();

		// Defaults
		$this->type = 'divider';
	}

	public static function item(): self
	{
		return new self();
	}

	/* OPTIONAL ITEMS */

	public function block_id(string $string): self
	{
		$this->block_id = $this->validate('block_id',$string);

		return $this;
	}
}